#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hookup
version:              0.8
visibility:           public
id:                   hookup-0.8-Foq3KWC8GfoCSF0ir9jMPv
key:                  hookup-0.8-Foq3KWC8GfoCSF0ir9jMPv
license:              ISC
copyright:            2016-2020 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:
    Abstraction over creating network connections with SOCKS5 and TLS

description:
    This package provides an abstraction for communicating with line-oriented
    network services while abstracting over the use of SOCKS5 and TLS (via OpenSSL)

category:             Network
abi:                  cf9b0bd62736a6ca99abcf016faf1937
exposed:              True
exposed-modules:      Hookup Hookup.OpenSSL
hidden-modules:       Hookup.Socks5 Hookup.Concurrent
import-dirs:          /usr/lib/ghc-9.2.8/site-local/hookup-0.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hookup-0.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hookup
hs-libraries:         HShookup-0.8-Foq3KWC8GfoCSF0ir9jMPv
depends:
    HsOpenSSL-0.11.7.9-7fNKn5mliMI47tAp0Vn4HX
    HsOpenSSL-x509-system-0.1.0.4-I1LHN6ZNVmt13HP0HOSKgt
    async-2.2.5-BuJk1pCvRYOCTk3w3YOF9n
    attoparsec-0.14.4-5wZOVAk6w2AKDrkEEe6wrE base-4.16.4.0
    bytestring-0.11.4.0 network-3.1.4.0-TqaTt7QDPb46Ee5sVM3ZA
    stm-2.5.0.2

haddock-interfaces:   /usr/share/doc/haskell-hookup/html/hookup.haddock
haddock-html:         /usr/share/doc/haskell-hookup/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

